unit UReport;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ppDB, ppDBPipe, ppParameter, ppDesignLayer, jpeg, ppCtrls, ppBands,
  ppPrnabl, ppClass, ppStrtch, ppRichView, ppCache, ppComm, ppRelatv, ppProd,
  ppReport, StdCtrls, DB, RxMemDS, RVStyle, ppRichTx, ComCtrls, wwriched,
  ppDBJIT;

type
  TForm1 = class(TForm)
    ppReport: TppReport;
    ppDetailBand3: TppDetailBand;
    ppRichView1: TppRichView;
    ppPageStyle1: TppPageStyle;
    ppImage2: TppImage;
    ppDesignLayers4: TppDesignLayers;
    ppDesignLayer5: TppDesignLayer;
    ppDesignLayer4: TppDesignLayer;
    ppParameterList2: TppParameterList;
    Button1: TButton;
    Button2: TButton;
    ppJITPipeline1: TppJITPipeline;
    ppJITPipeline1Field1: TppField;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    FCompanyList: TStringList;

//    function GetFieldValue(const aFieldName: String): Variant;

    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  ppRichView1.RichView.Clear;
  ppRichView1.RichView.Style.TextStyles.Items[0].FontName:='Monotype Corsiva';
  ppRichView1.RichView.Style.TextStyles.Items[0].Size:=15;
  ppRichView1.RichView.Style.TextStyles.Items[0].Color:=clBlack;
  ppRichView1.RichView.Style.TextStyles.Items[0].Style:=[];

  ppRichView1.RichView.Style.ParaStyles.Items[0].Alignment:=rvaJustify;
  ppRichView1.RichView.Style.ParaStyles.Items[0].LineSpacing:=100;

  ppRichView1.RichView.AddNL('TESTE DE IMPRESSO TESTE DE IMPRESSO TESTE DE IMPRESSO TESTE DE IMPRESSO TESTE DE IMPRESSO ',0,0);
  ppRichView1.RichView.AddNL('TESTE DE IMPRESSO TESTE DE IMPRESSO TESTE DE IMPRESSO TESTE DE IMPRESSO TESTE DE IMPRESSO ',0,0);

  ppReport.DeviceType:='Screen';
  ppReport.AllowPrintToFile := False;
  ppReport.ShowPrintDialog := True;
  ppReport.ShowCancelDialog:=True;
  ppReport.Print;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  ppRichView1.RichView.Clear;
  ppRichView1.RichView.Style.TextStyles.Items[0].FontName:='Monotype Corsiva';
  ppRichView1.RichView.Style.TextStyles.Items[0].Size:=15;
  ppRichView1.RichView.Style.TextStyles.Items[0].Color:=clBlack;
  ppRichView1.RichView.Style.TextStyles.Items[0].Style:=[];

  ppRichView1.RichView.Style.ParaStyles.Items[0].Alignment:=rvaJustify;
  ppRichView1.RichView.Style.ParaStyles.Items[0].LineSpacing:=100;

  ppRichView1.RichView.AddNL('TESTE DE IMPRESSO TESTE DE IMPRESSO TESTE DE IMPRESSO TESTE DE IMPRESSO TESTE DE IMPRESSO ',0,0);
  ppRichView1.RichView.AddNL('TESTE DE IMPRESSO TESTE DE IMPRESSO TESTE DE IMPRESSO TESTE DE IMPRESSO TESTE DE IMPRESSO ',0,0);

 ppReport.AllowPrintToFile := True;
 ppReport.ShowPrintDialog := False;
 ppReport.ShowCancelDialog := False;
 ppReport.TextFileName := 'Report.pdf';
 ppReport.DeviceType := 'PDF';
 ppReport.PDFSettings.OpenPDFFile:=True;
 ppReport.Print;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  FCompanyList := TStringList.Create;
  FCompanyList.Add('Teste');
  ppJITPipeline1.RecordCount := FCompanyList.Count;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  FCompanyList.Free;
end;

end.
